void list_of_moviesInstantiator(int num_of_titles){
  for (int movie_number = 0; movie_number < num_of_titles; movie_number++) {
    list_of_movies.get(movie_number).y = new float[graph.numRows-1];
    list_of_movies.get(movie_number).y_up = new float[graph.numRows-1];
    list_of_movies.get(movie_number).y_down = new float[graph.numRows-1];
    list_of_movies.get(movie_number).grad = new float[graph.numRows-1];
  };

}

void list_of_moviesDataLoader(int num_of_titles, float cellHeight){
  //Loops through all list_of_movies and places the y, y_up, y_down, and grad data
  for (int movie_number = 0; movie_number <num_of_titles; movie_number++) {
    for (int i = 0; i < graph.numRows-1 ; i++) {
      //print(table.getFloat(i+1,movie_number+3));
      float data_point;
      data_point= table.getFloat(i+1, movie_number +3);
      list_of_movies.get(movie_number).y[i]= data_point;
      list_of_movies.get(movie_number).grad[i] = table.getFloat(i+1, movie_number+7);
    }
  }
  printArray(black_pearl.y);
  printArray(black_pearl.grad);
  // Getting the maximum number of checkouts in a month and
  // getting the **grad_max** for each movie
  for (int movie_number =0; movie_number<num_of_titles; movie_number++){
    MovieAttributes the_movie;
    the_movie=list_of_movies.get(movie_number);
    // checkouts overall max
    float temp_hit_max;
    temp_hit_max=maxArray(the_movie.y);
    if (graph.hit_max<temp_hit_max){
      graph.hit_max=temp_hit_max;
    }
    // grad max for each movie
    the_movie.grad_max = maxArray(the_movie.grad);
  }
  println("Max number of checkouts should be 397: "+ graph.hit_max);
  println("Max grad for black_pearl should be 56: "+black_pearl.grad_max);
  //Finally getting the data points we want to plot
  for (int movie_number = 0; movie_number < num_of_titles; movie_number++) {
    MovieAttributes the_movie;
    the_movie=list_of_movies.get(movie_number);
    for (int i = 0; i < graph.numRows-1 ; i++) {
      the_movie.y_up[i] = constantVerticalMargin+cellHeight*(movie_number)+cellHeight/2-map(the_movie.y[i],0,graph.hit_max,0,cellHeight/2);
      list_of_movies.get(movie_number).y_down[i] = constantVerticalMargin+cellHeight*(movie_number)+cellHeight/2+map(the_movie.y[i],0,graph.hit_max,0,cellHeight/2);
    }
  }
  println("Testing black pearl y_down: ");
  printArray(black_pearl.y_down);
  println("Testing at worlds end y_down: ");
  printArray(at_worlds_end.y_down);

}
