#!/usr/bin/env python
## Change this to the name of the original csv file
path='./data/mat259_pirates.csv'
## Change this to desired name of the final csv file
final_path='./data/mat259_pirates_final.csv'


import pandas as pd
df=pd.read_csv(path)
# Extracting the title names
title_names=df.columns.values.tolist()[2:]
# Creating the absolute value of the derivative
for title in title_names:
    df[title+" diff"]=df[title].diff().abs()
df.fillna(0)

df.to_csv(final_path)
